0 Replies Latest reply on Mar 15, 2018 2:51 AM by behemot

    Load library failed with error 87: the parameter is incorrect

    behemot

      Seems that this ancient error was not really fixed two years ago when I get this with R9 380 (7 x86-64, ASRock 890FX Deluxe5, FX-8150@GHz). Or, to be more precise, it was likely fixed and reintroduced again later!! After dozens of uninstalls (DDU used), reinstalls, registry tweaking, CCleaner cleaning or Open-GL Ati DLLs replacing, the only persistent fix is to use Catalyst 16.1.1 or older. Maybe some newer versions will work too, dunno. Definitelly since 17.12 to the latest I get the errors when only just launching Steam, and of course again launching most of the games. Reainstalled Steam too, BTW, loosing all my game installs, no change. When not even replacing the OpenGL libraries in question for older ones works, it makes me believe the problem has been introduced somewhere else than those 4 x86-64 ones and two x86-32 ones.

       

      Since I need newer OpenCL version as it is more memory saving (thus allowing me to get more processing power while using the same amount of memory), would a possible fix be to use 16.1.1 as base pack and only install newer OpenCL package?